メインコンテンツへスキップ
POST
/
marketing
/
campaigns
/
2026-03
/
batch
/
update
キャンペーンをバッチ更新
curl --request POST \
  --url https://api.hubapi.com/marketing/campaigns/2026-03/batch/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "id": "<string>",
      "properties": {}
    }
  ]
}
'
import requests

url = "https://api.hubapi.com/marketing/campaigns/2026-03/batch/update"

payload = { "inputs": [
        {
            "id": "<string>",
            "properties": {}
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({inputs: [{id: '<string>', properties: {}}]})
};

fetch('https://api.hubapi.com/marketing/campaigns/2026-03/batch/update', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "businessUnits": [
        {
          "id": 123
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "businessUnits": [
        {
          "id": 123
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
inputs
object[]
必須

PublicCampaignBatchUpdateItemオブジェクトの配列。各オブジェクトには、特定のキャンペーンを更新するためのIDとプロパティーが含まれています。

レスポンス

successful operation

completedAt
string<date-time>
必須

日付-時刻文字列として書式設定される、バッチ処理が完了した日時。

results
object[]
必須

バッチ操作の結果の配列。各項目は公開キャンペーンを表します。

startedAt
string<date-time>
必須

日付-時刻文字列として書式設定される、バッチ処理が開始された日時。

status
enum<string>
必須

次の値を取り得る、バッチ処理の現在のステータス:CANCELED、COMPLETE、PENDING、PROCESSING。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

バッチ処理に関連付けられた関連リンクの対応付け。

requestedAt
string<date-time>

日付-時刻文字列として書式設定される、バッチ処理が要求された日時。

最終更新日 2026年4月10日